Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -3020,132 +5526,133 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  'A2B0'   AToB0                                N
-  'A2B1'   AToB1                                N
-  'A2B2'   AToB2                                N
-  'B2A0'   BToA0                                N
-  'B2A1'   BToA1                                N
-  'B2A2'   BToA2                                N
-  'B2D0'   BToD0                                N
-  'B2D1'   BToD1                                N
-  'B2D2'   BToD2                                N
-  'B2D3'   BToD3                                N
-  'D2B0'   DToB0                                N
-  'D2B1'   DToB1                                N
-  'D2B2'   DToB2                                N
-  'D2B3'   DToB3                                N
+  'A2B0'   AToB0                                no
+  'A2B1'   AToB1                                no
+  'A2B2'   AToB2                                no
+  'B2A0'   BToA0                                no
+  'B2A1'   BToA1                                no
+  'B2A2'   BToA2                                no
+  'B2D0'   BToD0                                no
+  'B2D1'   BToD1                                no
+  'B2D2'   BToD2                                no
+  'B2D3'   BToD3                                no
+  'D2B0'   DToB0                                no
+  'D2B1'   DToB1                                no
+  'D2B2'   DToB2                                no
+  'D2B3'   DToB3                                no
   'Header' ProfileHeader                        ICC_Profile Header
-  'MS00'   WCSProfiles                          N
-  'bTRC'   BlueTRC                              N
-  'bXYZ'   BlueMatrixColumn                     N
-  'bfd '   UCRBG                                N
-  'bkpt'   MediaBlackPoint                      N
-  'calt'   CalibrationDateTime                  N
-  'chad'   ChromaticAdaptation                  N
+  'MS00'   WCSProfiles                          no
+  'bTRC'   BlueTRC                              no
+  'bXYZ'   BlueMatrixColumn                     no
+  'bfd '   UCRBG                                no
+  'bkpt'   MediaBlackPoint                      no
+  'calt'   CalibrationDateTime                  no
+  'chad'   ChromaticAdaptation                  no
   'chrm'   Chromaticity                         ICC_Profile Chromaticity
-  'ciis'   ColorimetricIntentImageState         N
-  'clot'   ColorantTableOut                     N
-  'clro'   ColorantOrder                        N
+  'ciis'   ColorimetricIntentImageState         no
+  'clot'   ColorantTableOut                     no
+  'clro'   ColorantOrder                        no
   'clrt'   ColorantTable                        ICC_Profile ColorantTable
-  'cprt'   ProfileCopyright                     N
-  'crdi'   CRDInfo                              N
-  'desc'   ProfileDescription                   N
-  'devs'   DeviceSettings                       N
-  'dmdd'   DeviceModelDesc                      N
-  'dmnd'   DeviceMfgDesc                        N
-  'dscm'   ProfileDescriptionML                 N
-  'fpce'   FocalPlaneColorimetryEstimates       N
-  'gTRC'   GreenTRC                             N
-  'gXYZ'   GreenMatrixColumn                    N
-  'gamt'   Gamut                                N
-  'kTRC'   GrayTRC                              N
-  'lumi'   Luminance                            N
+  'cprt'   ProfileCopyright                     no
+  'crdi'   CRDInfo                              no
+  'desc'   ProfileDescription                   no
+  'devs'   DeviceSettings                       no
+  'dmdd'   DeviceModelDesc                      no
+  'dmnd'   DeviceMfgDesc                        no
+  'dscm'   ProfileDescriptionML                 no
+  'fpce'   FocalPlaneColorimetryEstimates       no
+  'gTRC'   GreenTRC                             no
+  'gXYZ'   GreenMatrixColumn                    no
+  'gamt'   Gamut                                no
+  'kTRC'   GrayTRC                              no
+  'lumi'   Luminance                            no
   'meas'   Measurement                          ICC_Profile Measurement
   'meta'   Metadata                             ICC_Profile Metadata
-  'mmod'   MakeAndModel                         N
-  'ncl2'   NamedColor2                          N
-  'ncol'   NamedColor                           N
-  'ndin'   NativeDisplayInfo                    N
-  'pre0'   Preview0                             N
-  'pre1'   Preview1                             N
-  'pre2'   Preview2                             N
-  'ps2i'   PS2RenderingIntent                   N
-  'ps2s'   PostScript2CSA                       N
-  'psd0'   PostScript2CRD0                      N
-  'psd1'   PostScript2CRD1                      N
-  'psd2'   PostScript2CRD2                      N
-  'pseq'   ProfileSequenceDesc                  N
-  'psid'   ProfileSequenceIdentifier            N
-  'psvm'   PS2CRDVMSize                         N
-  'rTRC'   RedTRC                               N
-  'rXYZ'   RedMatrixColumn                      N
-  'resp'   OutputResponse                       N
-  'rhoc'   ReflectionHardcopyOrigColorimetry    N
-  'rig0'   PerceptualRenderingIntentGamut       N
-  'rig2'   SaturationRenderingIntentGamut       N
-  'rpoc'   ReflectionPrintOutputColorimetry     N
-  'sape'   SceneAppearanceEstimates             N
-  'scoe'   SceneColorimetryEstimates            N
-  'scrd'   ScreeningDesc                        N
-  'scrn'   Screening                            N
-  'targ'   CharTarget                           N
-  'tech'   Technology                           N
-  'vcgt'   VideoCardGamma                       N
+  'mmod'   MakeAndModel                         no
+  'ncl2'   NamedColor2                          no
+  'ncol'   NamedColor                           no
+  'ndin'   NativeDisplayInfo                    no
+  'pre0'   Preview0                             no
+  'pre1'   Preview1                             no
+  'pre2'   Preview2                             no
+  'ps2i'   PS2RenderingIntent                   no
+  'ps2s'   PostScript2CSA                       no
+  'psd0'   PostScript2CRD0                      no
+  'psd1'   PostScript2CRD1                      no
+  'psd2'   PostScript2CRD2                      no
+  'psd3'   PostScript2CRD3                      no
+  'pseq'   ProfileSequenceDesc                  no
+  'psid'   ProfileSequenceIdentifier            no
+  'psvm'   PS2CRDVMSize                         no
+  'rTRC'   RedTRC                               no
+  'rXYZ'   RedMatrixColumn                      no
+  'resp'   OutputResponse                       no
+  'rhoc'   ReflectionHardcopyOrigColorimetry    no
+  'rig0'   PerceptualRenderingIntentGamut       no
+  'rig2'   SaturationRenderingIntentGamut       no
+  'rpoc'   ReflectionPrintOutputColorimetry     no
+  'sape'   SceneAppearanceEstimates             no
+  'scoe'   SceneColorimetryEstimates            no
+  'scrd'   ScreeningDesc                        no
+  'scrn'   Screening                            no
+  'targ'   CharTarget                           no
+  'tech'   Technology                           no
+  'vcgt'   VideoCardGamma                       no
   'view'   ViewingConditions                    ICC_Profile ViewingConditions
-  'vued'   ViewingCondDesc                      N
-  'wtpt'   MediaWhitePoint                      N
+  'vued'   ViewingCondDesc                      no
+  'wtpt'   MediaWhitePoint                      no
 
 =head3 ICC_Profile Header Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      4    ProfileCMMType                       N
-      8    ProfileVersion                       N
-     12    ProfileClass                         N
-     16    ColorSpaceData                       N
-     20    ProfileConnectionSpace               N
-     24    ProfileDateTime                      N
-     36    ProfileFileSignature                 N
-     40    PrimaryPlatform                      N
-     44    CMMFlags                             N
-     48    DeviceManufacturer                   N
-     52    DeviceModel                          N
-     56    DeviceAttributes                     N
-     64    RenderingIntent                      N
-     68    ConnectionSpaceIlluminant            N
-     80    ProfileCreator                       N
-     84    ProfileID                            N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    ProfileCMMType                       no
+      8    ProfileVersion                       no
+     12    ProfileClass                         no
+     16    ColorSpaceData                       no
+     20    ProfileConnectionSpace               no
+     24    ProfileDateTime                      no
+     36    ProfileFileSignature                 no
+     40    PrimaryPlatform                      no
+     44    CMMFlags                             no
+     48    DeviceManufacturer                   no
+     52    DeviceModel                          no
+     56    DeviceAttributes                     no
+     64    RenderingIntent                      no
+     68    ConnectionSpaceIlluminant            no
+     80    ProfileCreator                       no
+     84    ProfileID                            no
 
 =head3 ICC_Profile Chromaticity Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      8    ChromaticityChannels                 N
-     10    ChromaticityColorant                 N
-     12    ChromaticityChannel1                 N
-     20    ChromaticityChannel2                 N
-     28    ChromaticityChannel3                 N
-     36    ChromaticityChannel4                 N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    ChromaticityChannels                 no
+     10    ChromaticityColorant                 no
+     12    ChromaticityChannel1                 no
+     20    ChromaticityChannel2                 no
+     28    ChromaticityChannel3                 no
+     36    ChromaticityChannel4                 no
 
 =head3 ICC_Profile ColorantTable Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      8    ColorantCount                        N
-     12    Colorant1Name                        N
-     44    Colorant1Coordinates                 N
-     50    Colorant2Name                        N
-     82    Colorant2Coordinates                 N
-     88    Colorant3Name                        N
-    120    Colorant3Coordinates                 N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    ColorantCount                        no
+     12    Colorant1Name                        no
+     44    Colorant1Coordinates                 no
+     50    Colorant2Name                        no
+     82    Colorant2Coordinates                 no
+     88    Colorant3Name                        no
+    120    Colorant3Coordinates                 no
 
 =head3 ICC_Profile Measurement Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      8    MeasurementObserver                  N
-     12    MeasurementBacking                   N
-     24    MeasurementGeometry                  N
-     28    MeasurementFlare                     N
-     32    MeasurementIlluminant                N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    MeasurementObserver                  no
+     12    MeasurementBacking                   no
+     24    MeasurementGeometry                  no
+     28    MeasurementFlare                     no
+     32    MeasurementIlluminant                no
 
 =head3 ICC_Profile Metadata Tags
@@ -3156,15 +5663,15 @@
   Tag Name                                      Writable
   --------                                      --------
-  ManufacturerName                              N
-  MediaColor                                    N
-  MediaWeight                                   N
+  ManufacturerName                              no
+  MediaColor                                    no
+  MediaWeight                                   no
 
 =head3 ICC_Profile ViewingConditions Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      8    ViewingCondIlluminant                N
-     20    ViewingCondSurround                  N
-     32    ViewingCondIlluminantType            N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    ViewingCondIlluminant                no
+     20    ViewingCondSurround                  no
+     32    ViewingCondIlluminantType            no
 
 =head2 PrintIM Tags
@@ -3175,5 +5682,5 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'PrintIMVersion'     PrintIMVersion           N
+  'PrintIMVersion'     PrintIMVersion           no
 
 =head2 Photoshop Tags
@@ -3185,80 +5692,107 @@
 Many Photoshop tags are marked as Unknown (indicated by a question mark
 after the tag name) because the information they provide is not very useful
-under normal circumstances I<[and because Adobe denied my application for
-their file format documentation -- apparently open source software is too
-big a concept for them]>.  These unknown tags are not extracted unless the
-Unknown (-u) option is used.
+under normal circumstances.  These unknown tags are not extracted unless the
+Unknown (-u) option is used.  See
+L<http://www.adobe.com/devnet-apps/photoshop/fileformatashtml/> for the
+official specification
+
+Photoshop path tags (Tag ID's 0x7d0 to 0xbb5) are not defined by default,
+but a config file included in the full ExifTool distribution
+(config_files/photoshop_paths.config) contains the tag definitions to allow
+access to this information.
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x03e8   Photoshop2Info?                      N
-  0x03e9   MacintoshPrintInfo?                  N
-  0x03ea   XMLData?                             N
-  0x03eb   Photoshop2ColorTable?                N
+  0x03e8   Photoshop2Info?                      no
+  0x03e9   MacintoshPrintInfo?                  no
+  0x03ea   XMLData?                             no
+  0x03eb   Photoshop2ColorTable?                no
   0x03ed   ResolutionInfo                       Photoshop Resolution
-  0x03ee   AlphaChannelsNames                   N
-  0x03ef   DisplayInfo?                         N
-  0x03f0   PStringCaption?                      N
-  0x03f1   BorderInformation?                   N
-  0x03f2   BackgroundColor?                     N
-  0x03f3   PrintFlags?                          N
-  0x03f4   BW_HalftoningInfo?                   N
-  0x03f5   ColorHalftoningInfo?                 N
-  0x03f6   DuotoneHalftoningInfo?               N
-  0x03f7   BW_TransferFunc?                     N
-  0x03f8   ColorTransferFuncs?                  N
-  0x03f9   DuotoneTransferFuncs?                N
-  0x03fa   DuotoneImageInfo?                    N
-  0x03fb   EffectiveBW?                         N
-  0x03fc   ObsoletePhotoshopTag1?               N
-  0x03fd   EPSOptions?                          N
-  0x03fe   QuickMaskInfo?                       N
-  0x03ff   ObsoletePhotoshopTag2?               N
-  0x0400   LayerStateInfo?                      N
-  0x0401   WorkingPath?                         N
-  0x0402   LayersGroupInfo?                     N
-  0x0403   ObsoletePhotoshopTag3?               N
+  0x03ee   AlphaChannelsNames                   no
+  0x03ef   DisplayInfo?                         no
+  0x03f0   PStringCaption?                      no
+  0x03f1   BorderInformation?                   no
+  0x03f2   BackgroundColor?                     no
+  0x03f3   PrintFlags?                          no
+  0x03f4   BW_HalftoningInfo?                   no
+  0x03f5   ColorHalftoningInfo?                 no
+  0x03f6   DuotoneHalftoningInfo?               no
+  0x03f7   BW_TransferFunc?                     no
+  0x03f8   ColorTransferFuncs?                  no
+  0x03f9   DuotoneTransferFuncs?                no
+  0x03fa   DuotoneImageInfo?                    no
+  0x03fb   EffectiveBW?                         no
+  0x03fc   ObsoletePhotoshopTag1?               no
+  0x03fd   EPSOptions?                          no
+  0x03fe   QuickMaskInfo?                       no
+  0x03ff   ObsoletePhotoshopTag2?               no
+  0x0400   TargetLayerID?                       no
+  0x0401   WorkingPath?                         no
+  0x0402   LayersGroupInfo?                     no
+  0x0403   ObsoletePhotoshopTag3?               no
   0x0404   IPTCData                             IPTC
-  0x0405   RawImageMode?                        N
+  0x0405   RawImageMode?                        no
   0x0406   JPEG_Quality                         Photoshop JPEG_Quality
-  0x0408   GridGuidesInfo?                      N
-  0x0409   PhotoshopBGRThumbnail                N
+  0x0408   GridGuidesInfo?                      no
+  0x0409   PhotoshopBGRThumbnail                undef!
   0x040a   CopyrightFlag                        int8u
   0x040b   URL                                  string
-  0x040c   PhotoshopThumbnail                   N
+  0x040c   PhotoshopThumbnail                   undef!
   0x040d   GlobalAngle                          int32u
-  0x040e   ColorSamplersResource?               N
+  0x040e   ColorSamplersResource?               no
   0x040f   ICC_Profile                          ICC_Profile
-  0x0410   Watermark?                           N
-  0x0411   ICC_Untagged?                        N
-  0x0412   EffectsVisible?                      N
-  0x0413   SpotHalftone?                        N
-  0x0414   IDsBaseValue?                        N
-  0x0415   UnicodeAlphaNames?                   N
-  0x0416   IndexedColourTableCount?             N
-  0x0417   TransparentIndex?                    N
+  0x0410   Watermark?                           no
+  0x0411   ICC_Untagged?                        no
+  0x0412   EffectsVisible?                      no
+  0x0413   SpotHalftone?                        no
+  0x0414   IDsBaseValue?                        no
+  0x0415   UnicodeAlphaNames?                   no
+  0x0416   IndexedColorTableCount?              no
+  0x0417   TransparentIndex?                    no
   0x0419   GlobalAltitude                       int32u
-  0x041a   Slices?                              N
-  0x041b   WorkflowURL?                         N
-  0x041c   JumpToXPEP?                          N
-  0x041d   AlphaIdentifiers?                    N
-  0x041e   URL_List?                            N
-  0x0421   VersionInfo?                         N
+  0x041a   SliceInfo                            Photoshop SliceInfo
+  0x041b   WorkflowURL                          no
+  0x041c   JumpToXPEP?                          no
+  0x041d   AlphaIdentifiers?                    no
+  0x041e   URL_List                             no+
+  0x0421   VersionInfo                          Photoshop VersionInfo
   0x0422   EXIFInfo                             EXIF
-  0x0423   ExifInfo2?                           N
+  0x0423   ExifInfo2?                           no
   0x0424   XMP                                  XMP
   0x0425   IPTCDigest                           string!
-  0x0426   PrintScale?                          N
-  0x0428   PixelAspectRatio?                    N
-  0x0429   LayerComps?                          N
-  0x042a   AlternateDuotoneColors?              N
-  0x042b   AlternateSpotColors?                 N
-  0x0bb7   ClippingPathName                     N
-  0x2710   PrintFlagsInfo?                      N
+  0x0426   PrintScaleInfo                       Photoshop PrintScaleInfo
+  0x0428   PixelInfo                            Photoshop PixelInfo
+  0x0429   LayerComps?                          no
+  0x042a   AlternateDuotoneColors?              no
+  0x042b   AlternateSpotColors?                 no
+  0x042d   LayerSelectionIDs?                   no
+  0x042e   HDRToningInfo?                       no
+  0x042f   PrintInfo?                           no
+  0x0430   LayerGroupsEnabledID?                no
+  0x0431   ColorSamplersResource2?              no
+  0x0432   MeasurementScale?                    no
+  0x0433   TimelineInfo?                        no
+  0x0434   SheetDisclosure?                     no
+  0x0435   DisplayInfo?                         no
+  0x0436   OnionSkins?                          no
+  0x0438   CountInfo?                           no
+  0x043a   PrintInfo2?                          no
+  0x043b   PrintStyle?                          no
+  0x043c   MacintoshNSPrintInfo?                no
+  0x043d   WindowsDEVMODE?                      no
+  0x043e   AutoSaveFilePath?                    no
+  0x043f   AutoSaveFormat?                      no
+  0x0440   PathSelectionState?                  no
+  0x0bb7   ClippingPathName                     no
+  0x0bb8   OriginPathInfo?                      no
+  0x1b58   ImageReadyVariables?                 no
+  0x1b59   ImageReadyDataSets?                  no
+  0x1f40   LightroomWorkflow?                   no
+  0x2710   PrintFlagsInfo?                      no
 
 =head3 Photoshop Resolution Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    XResolution                          int32u
       2    DisplayedUnitsX                      int16u
@@ -3268,9 +5802,60 @@
 =head3 Photoshop JPEG_Quality Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       0    PhotoshopQuality                     int16s
-      1    PhotoshopFormat                      N
-      2    ProgressiveScans                     N
+      1    PhotoshopFormat                      no
+      2    ProgressiveScans                     no
+
+=head3 Photoshop SliceInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     20    SlicesGroupName                      no
+     24    NumSlices                            no
+
+=head3 Photoshop VersionInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    HasRealMergedData                    no
+      5    WriterName                           no
+      9    ReaderName                           no
+
+=head3 Photoshop PrintScaleInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PrintStyle                           no
+      2    PrintPosition                        no
+     10    PrintScale                           no
+
+=head3 Photoshop PixelInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    PixelAspectRatio                     no
+
+=head3 Photoshop DocumentData Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'Layr'   Layers                               Photoshop Layers
+  'Lr16'   Layers                               Photoshop Layers
+
+=head3 Photoshop Layers Tags
+
+Tags extracted from Photoshop layer information.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  '_xbnd'  LayerBlendModes                      no+
+  '_xcnt'  LayerCount                           no
+  '_xnam'  LayerNames                           no+
+  '_xopc'  LayerOpacities                       no+
+  '_xrct'  LayerRectangles                      no+
+  'luni'   LayerUnicodeNames                    no+
+  'lyid'   LayerIDs?                            no+
+  'shmd'   LayerModifyDates                     no+
 
 =head3 Photoshop Header Tags
